Bug 113765 - PRINT Partial object are printed on other pages
Summary: PRINT Partial object are printed on other pages
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Shapes Print
  Show dependency treegraph
 
Reported: 2017-11-10 16:54 UTC by Ole Tange
Modified: 2019-11-12 03:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Partial-off-page-objects.odt (13.15 KB, application/vnd.oasis.opendocument.text)
2017-11-10 16:55 UTC, Ole Tange
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ole Tange 2017-11-10 16:54:37 UTC
Description:
When an object is partially off page it is printed on the page that happens to be in the place where the object would have been.


Steps to Reproduce:
1. Open attached document
2. Click view multiple pages
3. Zoom until you see exactly 3 pages horizontally
4. Print (or Print preview)

Actual Results:  
Page 3 and 5 now has some of the partial circles

Expected Results:
Page 3+5 empty


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Ole Tange 2017-11-10 16:55:07 UTC
Created attachment 137672 [details]
Partial-off-page-objects.odt
Comment 2 Dieter 2017-11-10 18:18:31 UTC
Reproducible with

Version: 5.4.3.2 (x64)
Build-ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU-Threads: 4; Betriebssystem:Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group

It's the same, if you zoom until you have page four below page two => circles on page four.
Without a zoom you see parts of the circles on page 3.
Comment 3 QA Administrators 2018-11-11 03:47:24 UTC Comment hidden (obsolete)
Comment 4 Dieter 2018-11-11 11:53:58 UTC
Still repro in 

Version: 6.2.0.0.alpha1+ (x64)
Build ID: 8274c4c62df5b937b3f0bec9e1eeca85f3b219d4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-22_01:47:50
Locale: en-US (de_DE); Calc: CL

but print preview works now
Comment 5 QA Administrators 2019-11-12 03:33:22 UTC
Dear Ole Tange,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug